Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class SoftwareIdentifier.Version

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.documents.multimedia.SoftwareIdentifier.Version

All Implemented Interfaces:
  Cloneable, Comparable<IVersion>, IPdfObjectWrapper, IVersion

Enclosing class:
  SoftwareIdentifier

    public static final class SoftwareIdentifier.Version

extends PdfObjectWrapper<PdfArray>
implements IVersion

Software version number [PDF:1.7:9.1.6].

Since:
  0.1.2
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`SoftwareIdentifier.Version(Integer... numbers)`

Method Summary
`SoftwareIdentifier.Version` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`int` | `compareTo(IVersion value)`
`List<Integer>` | `getNumbers()` Gets the version numbers.
`String` | `toString()`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftwareIdentifier.Version

    public SoftwareIdentifier.Version(Integer... numbers)

Method Detail

### clone

    public SoftwareIdentifier.Version clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### compareTo

    public int compareTo(IVersion value)

  Specified by:
    `compareTo` in interface `Comparable<IVersion>`

### getNumbers

    public List<Integer> getNumbers()

  Description copied from interface: `IVersion`
  Gets the version numbers.

  Specified by:
    `getNumbers` in interface `IVersion`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.